#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import asterisk_agi as agi

def main():
    # Initialisiert die AGI-Umgebung
    env = agi.init_env()

    # Begrüßungstext abspielen
    agi.sayit("hello")  # Sagt Hallo auf

    agi.sayit("vm-enter-num-to-call")  # 
    # Benutzer auffordern, eine Nummer einzugeben
    number = agi.getnumber("vm-then-pound", 20000, 50)  # Maximal 50 Ziffern, 20 Sekunden Zeit

    # Überprüfen, ob eine gültige Eingabe vorliegt
    if number == -1:
        agi.sayit("invalid")  # Falls keine Eingabe erfolgt ist
        return

    agi.sayit("you-entered")
    # Die eingegebene Nummer als Ganzes ansagen
    agi.saynumber(number)

    # Jede Ziffer der Nummer einzeln ausgeben
    agi.say_digits(number)
    
    
    print("SET VARIABLE EXTNEW " + str(number))
       

if __name__ == "__main__":
    main()
     

